package com.itjob.javanetwork;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

/**
 * "第4章 Java的网络编程" -> "Sock编程" -> 考题2
 * 编写Socket客户端和服务器程序，客户端发送一个包含多个数字的字符串给服务器，服务器排序后返回给客户端，
 * 要求服务器能连续不断的服务。客户端执行：
 * java NumberSender -i 127.0.0.1 -p 8888 -d 99|789|3|0|-66
 * 服务器端回送结果为：-66|0|3|99|789
 * @author AmigoXie
 */
public class NumberSender {
	public static void main(String[] args) throws Exception {
		Socket socket = new Socket(args[1], Integer.parseInt(args[3])); 
		PrintWriter out = new PrintWriter(socket.getOutputStream(), true);
		BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream())); 
		out.println(args[5]); 
		System.out.println(in.readLine()); 
	}
}
